This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 566930 - Fedora 2.6.31 kernel save/restore/migration crashes on Xen PV guest
Fedora 2.6.31 kernel save/restore/migration crashes on Xen PV guest
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 566927 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-20 09:23 EST by Pasi Karkkainen
Modified: 2010-12-03 17:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:34:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pasi Karkkainen 2010-02-20 09:23:02 EST
Description of problem:
Running Xen "xm save" and "xm restore" for a Fedora 12 Xen PV guest is unstable. For a single-vcpu guest it gives a BUG() after "xm restore" in the guest kernel, and for multi-vcpu guest "xm save" never finishes (the guest crashes).

Version-Release number of selected component (if applicable):
Fedora 12. All 2.6.31.* kernels, both 32bit and 64bit are affected. I reproduced this with all F12 kernel updates so far.

How reproducible:
Always.

Steps to Reproduce:
1. Install Fedora 12 Xen PV guest. I used EL 5.4 dom0.
2. Run "xm save" and possibly "xm restore" in Xen dom0.
3. Guest gets BUG() in dmesg, or it crashes totally.
  
Actual results:
For a single-vcpu guests "xm save" works, but they get BUG() in their kernel log after "xm restore".  Multi-vcpu guests crash immediately on "xm save". You have to "xm destroy" them.

Expected results:
save/restore/migration works OK without problems.

Additional info:
These save/restore/migration problems/bugs have been fixed in upstream kernel.org 2.6.32.X stable kernels. I compiled 2.6.32.7 upstream kernel.org kernel to the guest, and verified save/restore was stable then.

Discussion thread with more information and test results here:
http://lists.xensource.com/archives/html/xen-devel/2010-01/msg01126.html

The fix is to upgrade the F12 kernel to latest 2.6.32.x stable release, or if that's not planned, then apply the Xen related fixes that went to 2.6.32 and 2.6.32.x.
Comment 1 Pasi Karkkainen 2010-02-20 09:25:40 EST
The thread link above is missing the test results for 2.6.32.x.

Those can be found from here:
http://lists.xensource.com/archives/html/xen-devel/2010-02/msg00017.html
Comment 2 Andrew Jones 2010-02-22 03:35:42 EST
*** Bug 566927 has been marked as a duplicate of this bug. ***
Comment 3 Pasi Karkkainen 2010-03-27 14:37:02 EDT
This bug has been fixed with the latest F12 2.6.32 kernel update.

I just tried save/restore with multiple F12 Xen PV guests running 2.6.32.9-70.fc12.x86_64, and save/restore is working OK without problems.

Testing included:
- F12 x86_64 Xen PV guest with 2 vcpus and 512 MB of RAM.
- F12 x86_64 Xen PV guest with 4 vcpus and 4096 MB of RAM.

I tried save/restore multiple times in a row. No problems found.
Comment 4 Kyle 2010-03-28 01:38:43 EDT
Yep, it seems to be working here too. (F12 x86 with 2 vcpus and 256MB of RAM)

Thanks. =)
Comment 5 Bug Zapper 2010-11-03 17:42:50 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 17:34:46 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.